#include "yspace.hh"

class YUV : public yspace
{
public:
    virtual double Y_r()  const { return 0.299000; }
    virtual double Y_g()  const { return 0.587000; }
    virtual double Y_b()  const { return 0.114000; }
    virtual double p1_r() const { return -0.14740; }
    virtual double p1_g() const { return -0.28950; }
    virtual double p1_b() const { return 0.43690; }
    virtual double p2_r() const { return 0.61500; }
    virtual double p2_g() const { return -0.51500; }
    virtual double p2_b() const { return -0.10000; }
    
    virtual double r_Y()  const { return 1; }
    virtual double r_p1() const { return 0; }
    virtual double r_p2() const { return 1.13980; }
    virtual double g_Y()  const { return 1; }
    virtual double g_p1() const { return -0.39380; }
    virtual double g_p2() const { return -0.58050; }
    virtual double b_Y()  const { return 1; }
    virtual double b_p1() const { return 2.02790; }
    virtual double b_p2() const { return 0; }

    virtual const char *Name1() const { return "Y"; }
    virtual const char *Name2() const { return "U"; }
    virtual const char *Name3() const { return "V"; }
};
