#include "yspace.hh"

class YPbPr : public yspace
{
public:
    virtual double Y_r()  const { return 0.299000; }
    virtual double Y_g()  const { return 0.587000; }
    virtual double Y_b()  const { return 0.114000; }
    virtual double p1_r() const { return -0.168736; }
    virtual double p1_g() const { return -0.331264; }
    virtual double p1_b() const { return 0.500000; }
    virtual double p2_r() const { return 0.500000; }
    virtual double p2_g() const { return -0.418688; }
    virtual double p2_b() const { return -0.081316; }
    
    virtual double r_Y()  const { return 1; }
    virtual double r_p1() const { return 0; }
    virtual double r_p2() const { return 1.402000; }
    virtual double g_Y()  const { return 1; }
    virtual double g_p1() const { return -0.344136; }
    virtual double g_p2() const { return -0.714136; }
    virtual double b_Y()  const { return 1; }
    virtual double b_p1() const { return 1.772000; }
    virtual double b_p2() const { return 0; }

    virtual const char *Name1() const { return "Y"; }
    virtual const char *Name2() const { return "Pb"; }
    virtual const char *Name3() const { return "Pr"; }
};
